/* indent:4  tabsize:8  font:fixed-width */

/*---------------------------------------------------------------------------
|----------------------------------------------------------------------------
|
|    FreezeL:GameModule
|
|    FreezeL Solitaire module.
|
|    CREDITS
|
|    Gary Ritchie<gary@uaneuro.uah.ualberta.ca>
|        -- design, implementation, documentation
|
|----------------------------------------------------------------------------
\---------------------------------------------------------------------------*/


#import <AppKit/AppKit.h>
#import <Solitaire/GameModule.h>

@class CardPileView;
@class CardPile;

#define IBOutlet


@interface FreezeL:GameModule
{
    IBOutlet CardPileView* gamePileView1;
    IBOutlet CardPileView* gamePileView2;
    IBOutlet CardPileView* gamePileView3;
    IBOutlet CardPileView* gamePileView4;
    IBOutlet CardPileView* gamePileView5;
    IBOutlet CardPileView* gamePileView6;
    IBOutlet CardPileView* gamePileView7;
    IBOutlet CardPileView* gamePileView8;

    IBOutlet CardPileView* tempPileView1;
    IBOutlet CardPileView* tempPileView2;
    IBOutlet CardPileView* tempPileView3;
    IBOutlet CardPileView* tempPileView4;

    IBOutlet CardPileView* suitPileView1;
    IBOutlet CardPileView* suitPileView2;
    IBOutlet CardPileView* suitPileView3;
    IBOutlet CardPileView* suitPileView4;

    id 			suitPileDelegate;
    id 			tempPileDelegate;
    id 			gamePileDelegate;

    CardPile* 	drawCardPile;
    CardPile* 	prevDeck;

    CardPileView*  	suitCardPiles[4];
    CardPileView*  	gameCardPiles[8];
    CardPileView*  	tempCardPiles[4];

    BOOL gameInProgress;
}

/*" Our single instance "*/
+ (FreezeL*) sharedInstance;

/*" Initialization/deallocation "*/
- initFromBundle:(NSBundle*)aBundle withName:(NSString*)name;

/*" Game specific "*/    
- (void) setupGame:(BOOL)redeal;

/*" Find and move cards on the game or temp piles which can be placed on the suit piles. "*/
- (void)moveSuitableCards;
@end
