/* indent:4  tabsize:8  font:fixed-width */

/*---------------------------------------------------------------------------
| ---------------------------------------------------------------------------
|
|    FreezeLGameDelegate :Object
|
|    << Description >>
|
| ---------------------------------------------------------------------------
\---------------------------------------------------------------------------*/

#import <AppKit/AppKit.h>
#import <Solitaire/CardSet.h>

@class CardPileView;
@class CardPile;
@class Card;


@interface FreezeLGameDelegate:NSObject
{
    CardPileView* suitCardPileViews[4];
    CardPileView* tempCardPileViews[4];
}

/*----------------------------------------------------------------------------
|
|    CardPileView delegation methods
|
\---------------------------------------------------------------------------*/

- (void) setSuitCardPileViews:(id [])theViews;
- (void) setTempCardPileViews:(id [])theViews;
- (void) doubleClickedCard:(Card*)aCard in:(CardPileView*)aCardPileView;
- (BOOL) draggedPile:(CardPile*)aCardPile from:(CardPileView*)discardCardPileView;
- (BOOL) canAcceptPile:(CardPile*)aCardPile from:sender in:(CardPileView*)aCardPileView;
- (void) getOffset:(float*)xOffset :(float*)yOffset forSize:(CardSize)aSize;

@end
