/* indent:4  tabsize:8  font:fixed-width */

#import "FreezeLPrefs.h"

@implementation FreezeLPrefs

/*---------------------------------------------------------------------------
|
|    - registerPrefs
|
|----------------------------------------------------------------------------
|
|    Register the preferences for this game.  Called automatically.
|			
\---------------------------------------------------------------------------*/

- (NSString *)gamePrefWithName:(NSString *)prefName
{
    return [NSString stringWithFormat:@"%@-%@", @"FreezeL", prefName];
}

- (void) registerPrefs
{
    NSDictionary*	defaultsDict;
	
	defaultsDict = [NSDictionary dictionaryWithObjectsAndKeys:
        @"0", [self gamePrefWithName:@"LifetimeWins"],
        @"0", [self gamePrefWithName:@"LifetimeLosses"],
        @"0", [self gamePrefWithName:@"CurrentWins"],
        @"0", [self gamePrefWithName:@"CurrentLosses"],
		nil];

	[[NSUserDefaults standardUserDefaults] registerDefaults:defaultsDict];
    [self displayStatistics];
}

- (void)displayStatistics
{
    NSUserDefaults *d = [NSUserDefaults standardUserDefaults];

    [lifetimeWinsTF setIntValue:[d integerForKey:[self gamePrefWithName:@"LifetimeWins"]]];
    [lifetimeLossesTF setIntValue:[d integerForKey:[self gamePrefWithName:@"LifetimeLosses"]]];

    [currentWinsTF setIntValue:currentWins];
    [currentLossesTF setIntValue:currentLosses];
}

- (void) accumulateWin
{
    NSUserDefaults *d = [NSUserDefaults standardUserDefaults];

    [d setInteger:[d integerForKey:[self gamePrefWithName:@"LifetimeWins"]] + 1
           forKey:[self gamePrefWithName:@"LifetimeWins"]];
    currentWins++;

    [self displayStatistics];
}

- (void) accumulateLoss
{
    NSUserDefaults *d = [NSUserDefaults standardUserDefaults];

    [d setInteger:[d integerForKey:[self gamePrefWithName:@"LifetimeLosses"]] + 1
           forKey:[self gamePrefWithName:@"LifetimeLosses"]];
    currentLosses++;

    [self displayStatistics];
}

@end

